<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recipes</title>

    <link href="stylesheet.css" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&display=swap" rel="stylesheet">
</head>
<body>
    <header>
        <div class="ColorStroke">
            <div class="links">
                <a href="swipePage.html" style="font-size:45px;">FoodSwipe</a>
                <a href="swipePage.html">Swipe</a>
                <a href="recipes.html">Recipes</a>
                <a href="friends.html">Friends</a>
                <a href="rssFeed.html">Rss</a>
            </div>

            <div class="loginLinks">
                <button id="Subscribe" style="background-color: var(--main-dark-color); cursor:pointer; color: #fcf9dc; height: 35px; border:none; font-size: larger;">Subscribe</button>
                <button id="SignInBtn" style="background-color: var(--main-orange-color); cursor:pointer; color: var(--main-dark-color); height: 30px; border:none; font-size: large;">Sign in</button>
            </div>
        </div>
    </header>

    <main>
        <h1>Recipes</h1>

        <div class="filterbar">
            <div style="display:flex; justify-content: center; align-items:center; width: 95%; height: 100%; ">
                <div  style="display: flex; justify-content: space-around; align-items: center; width: 90%; height: 100%; margin: 10px;">
                    <input class="inputFilter" style="width: 33%;" type="text" id="recipeTitle" placeholder="name">
                    <input class="inputFilter" style="width: 30%;" type="text" id="cookingDifficultyInput" placeholder="Cooking difficulty">
                    <input class="inputFilter" style="width: 28%;" type="number" id="cookingTimeInput" placeholder="CookingTime">
                </div>
                
                <div style="display: flex; justify-content: space-between; align-items: center; width: 15%; height: 100%; ">
                    <div class="buttonFilter">
                        <div class="imageBackground">
                            <img src="../images/searchFilter.png">
                        </div>
                        
                        <p>Search</p>
                    </div>
                    <div class="DeleteInputFields">
                        <div class="imageBackground">
                            <img src="../images/clear.png">
                        </div>
                    </div>
                </div>
                
            </div>
            
        </div>
        <div class="recipeList"></div>

        <div class="form-popup" id="ProfileForm" style="display:none; ">
            <form class="form-container" onsubmit="return false" style="background-color:var(--main-dark-color); color: var(--main-orange-color);">
                <h2 style="text-decoration: none;">Profile</h2>
                <img src="../images/profileDummy.png" style="border-radius: 50%; width: 200px; height: 200px; margin: 20px;">
                
                <p id="displayNameBox"></p>

                <label>Email</label>
                <p id="emailBox"></p>
                <button style="background-color:var(--main-dark-color); border:none; cursor: pointer; position: absolute; top:0px; right: 0px; margin: 10px;" id="CloseProfile" type="button"><img style="width: 20px; " src="../images/close.png"></button>
                <button type='submit' class="LoginBtn" id="signOutBtn">Sign out</button>
            </form>
        </div>
        
    </main>

    <script type="module"src="../dist/bundleRecipes.js"></script>

    <script src="../dist/recipeShortIntro.js"></script>
    <!--<script type="module" src="../dist/bundleanimatedButtons.js"></script>-->
</body>
</html>